(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/common', '@angular/core'], factory) :
    (global = global || self, factory(global.ngxAnimatedGradient = {}, global.ng.common, global.ng.core));
}(this, function (exports, common, core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxAnimatedGradientDirective = /** @class */ (function () {
        function NgxAnimatedGradientDirective(renderer, el) {
            this.renderer = renderer;
            this.el = el;
            this.colors = [[62, 35, 255],
                [60, 255, 60],
                [255, 35, 98],
                [45, 175, 230],
                [255, 0, 255],
                [255, 128, 0]];
            this.step = 0;
            // color table indices for:
            // current color left
            // next color left
            // current color right
            // next color right
            this.colorIndices = [0, 1, 2, 3];
            // transition speed
            this.gradientSpeed = 0.002;
        }
        /**
         * @return {?}
         */
        NgxAnimatedGradientDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            console.log('NgxAnimatedGradientDirective init');
            setInterval((/**
             * @return {?}
             */
            function () {
                _this.updateGradient();
            }), 10);
        };
        /**
         * @return {?}
         */
        NgxAnimatedGradientDirective.prototype.updateGradient = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var c0_0 = this.colors[this.colorIndices[0]];
            /** @type {?} */
            var c0_1 = this.colors[this.colorIndices[1]];
            /** @type {?} */
            var c1_0 = this.colors[this.colorIndices[2]];
            /** @type {?} */
            var c1_1 = this.colors[this.colorIndices[3]];
            /** @type {?} */
            var istep = 1 - this.step;
            /** @type {?} */
            var r1 = Math.round(istep * c0_0[0] + this.step * c0_1[0]);
            /** @type {?} */
            var g1 = Math.round(istep * c0_0[1] + this.step * c0_1[1]);
            /** @type {?} */
            var b1 = Math.round(istep * c0_0[2] + this.step * c0_1[2]);
            /** @type {?} */
            var color1 = 'rgb(' + r1 + ',' + g1 + ',' + b1 + ')';
            /** @type {?} */
            var r2 = Math.round(istep * c1_0[0] + this.step * c1_1[0]);
            /** @type {?} */
            var g2 = Math.round(istep * c1_0[1] + this.step * c1_1[1]);
            /** @type {?} */
            var b2 = Math.round(istep * c1_0[2] + this.step * c1_1[2]);
            /** @type {?} */
            var color2 = 'rgb(' + r2 + ',' + g2 + ',' + b2 + ')';
            this.renderer.setStyle(this.el.nativeElement, 'background', '-webkit-gradient(linear, left top, right top, from(' + color1 + '), to(' + color2 + '))');
            this.renderer.setStyle(this.el.nativeElement, 'background', '-moz-linear-gradient(left, ' + color1 + ' 0%, ' + color2 + ' 100%)');
            // $('#gradient').css({
            //   background: `-webkit-gradient(linear, left top, right top, from(' + ${color1} + '), to(' + ${color2}  + '))`
            // }).css({
            //   background: `-moz-linear-gradient(left, ${color1}  0%, ${color2}   100%)`
            // });
            this.step += this.gradientSpeed;
            if (this.step >= 1) {
                this.step %= 1;
                this.colorIndices[0] = this.colorIndices[1];
                this.colorIndices[2] = this.colorIndices[3];
                // pick two new target color indices
                // do not pick the same as the current one
                this.colorIndices[1] = (this.colorIndices[1]
                    + Math.floor(1 + Math.random() * (this.colors.length - 1))) % this.colors.length;
                this.colorIndices[3] = (this.colorIndices[3]
                    + Math.floor(1 + Math.random() * (this.colors.length - 1))) % this.colors.length;
            }
        };
        NgxAnimatedGradientDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[ngxAnimatedGradient]'
                    },] },
        ];
        /** @nocollapse */
        NgxAnimatedGradientDirective.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: core.ElementRef }
        ]; };
        return NgxAnimatedGradientDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxAnimatedGradientModule = /** @class */ (function () {
        function NgxAnimatedGradientModule() {
        }
        NgxAnimatedGradientModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule
                        ],
                        exports: [NgxAnimatedGradientDirective],
                        declarations: [NgxAnimatedGradientDirective]
                    },] },
        ];
        return NgxAnimatedGradientModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxAnimatedGradientDirective = NgxAnimatedGradientDirective;
    exports.NgxAnimatedGradientModule = NgxAnimatedGradientModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=ngx-animated-gradient.umd.js.map
